#!/bin/sh
#-*-tcl-*-

########################################################################
#
# Define path
#
########################################################################
puts "-----------------------------------------------------------------------"
puts "		Map Xilinx Libraries		"
puts "-----------------------------------------------------------------------"
do map_libraries.do

puts "-----------------------------------------------------------------------"
puts "		Compile Design Files		"
puts "-----------------------------------------------------------------------"
do compile_files.do

puts "-----------------------------------------------------------------------"
puts "  Starting Signal FPGA simulation!	"
puts "-----------------------------------------------------------------------"

vsim -t ps -L unisims_ver -L unimacro_ver -L secureip work.sigfpga_tb(structural) work.glbl

# Load waveform
puts "..loading waveform"
log -r /*
do rx1_wave.do

puts "..start simulation"
run 6000 ns

# Save RX memory into a .txt file 
mem save -o rx1_dmadata.txt -f hex -noaddress -wordsperline 1 /sigfpga_tb/XCVR/PCI/RX_CH/RX(1)/STATE_MACHINE/rddata
mem save -o rx2_dmadata.txt -f hex -noaddress -wordsperline 1 /sigfpga_tb/XCVR/PCI/RX_CH/RX(2)/STATE_MACHINE/rddata

puts ".. done"


